> For the complete documentation index, see [llms.txt](https://docs.bluefletch.com/bluefletch-enterprise/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bluefletch.com/bluefletch-enterprise/technical-documentation/deploying-bluefletch-enterprise/deploying-to-samsungs/launcher-configuration-for-samsungs.md).

# Launcher Configuration for Samsungs

Samsung-specific parameters within the Launcher.JSON configuration file

For Samsung devices managed in Knox, the launcher.json configuration will be sent to devices as a Managed App Config through your MDM. Beyond the standard configuration settings and layouts, which you can choose from our [Launcher Technical Guide](https://docs.bluefletch.com/bluefletch-enterprise/product-guides/bluefletch-launcher/technical-guide.md), add the following `knoxSettings` section to your launcher.json configuration file.

<pre class="language-json"><code class="lang-json">"knoxSettings": {
    "knoxLicenseKey": "XXXXX-YYYYY-ZZZZZ-11111-22222-33333", // Request the test key from BlueFletch
    "knoxProKioskMode": true,
    "knoxAllowWifi": true,
    "knoxAllowBluetooth": true,
    "disableSamsungComponents": [
      "com.android.systemui/.controls.ui.CustomControlsActivity",
      "com.google.android.googlequicksearchbox",
      "com.google.android.gms/.nearby.sharing.DeviceVisibilityActivity"
    ]
<strong>}
</strong></code></pre>

These values in the `disableSamsungComponents` array are just examples. BlueFletch disables a number of the components by default, but you can add components to the `disableSamsungComponents` block based on what you would like to have disabled.

If you would like to enable the Recents button, you can also add the following to the `knoxSettings` object in your configuration:

```json
"knoxSettings": {
    ...
    "knoxEnableRecentsButton": true
}
```

Please note that the above only works on some Samsung devices with a physical Recents button. If the device you’re using does not have a physical Recents button, you can use the following to enable BlueFletch’s task switcher service. Add the following to the `settings` section of your configuration:

```json
"settings" : {
    ...
    "recentsActivityEnabled": true
}
```

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.bluefletch.com/bluefletch-enterprise/technical-documentation/deploying-bluefletch-enterprise/deploying-to-samsungs/launcher-configuration-for-samsungs.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
